
	SUBROUTINE f(N)
	 IMPLICIT NONE

	 INTEGER N

	 REAL, DIMENSION(N) :: A	!! You can define arrays using
					!! VARIABLES in Fortran 90.... like Ada
	 INTEGER i

	 DO i = 1, N
	    A(i) = i
	 END DO

	 print *, A

	END SUBROUTINE

! ====================================================================

	PROGRAM main
	 IMPLICIT NONE

	 print *
	 print *, "Calling f(2)"
	 CALL f(2)

	 print *
	 print *, "Calling f(3)"
	 CALL f(3)
	END

